curl --request GET \
--url https://api.aisa.one/apis/v1/fred/category/series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/category/series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/category/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/category/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/category/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/category/series")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/category/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<seriess realtime_start="2017-08-01" realtime_end="2017-08-01" order_by="series_id" sort_order="asc" count="45" offset="0" limit="1000">
<series id="BOPBCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:28-05" popularity="32" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBCAA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="14" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBCAN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="0" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:28-05" popularity="14" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="7" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="0" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBII" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBIIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBIIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBM" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBMA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBMN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSV" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSVA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSVN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCAT" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-10-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCATA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCATN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-10-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPG" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:25-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:25-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:32:14-05" popularity="62" group_popularity="62"/>
<series id="BOPGTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:57-05" popularity="29" group_popularity="29"/>
<series id="IEABC" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:05-05" popularity="41" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:03-05" popularity="47" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCG" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:09-05" popularity="11" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:14-05" popularity="11" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:23-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:23-05" popularity="23" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCGSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:08-05" popularity="7" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCGSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:14-05" popularity="0" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:07-05" popularity="25" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:03-05" popularity="41" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCPA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-03-21 07:41:21-05" popularity="29" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCPI" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:31:03-05" popularity="18" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:06-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:24-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:09-05" popularity="24" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:31:14-05" popularity="7" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
<series id="IEABCSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:14-05" popularity="0" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
<series id="IEABCSI" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:15-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:15-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:25-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:15-05" popularity="0" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
</seriess>Get Category Series
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/category/series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/category/series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/category/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/category/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/category/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/category/series")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/category/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<seriess realtime_start="2017-08-01" realtime_end="2017-08-01" order_by="series_id" sort_order="asc" count="45" offset="0" limit="1000">
<series id="BOPBCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:28-05" popularity="32" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBCAA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="14" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBCAN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Current Account (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="0" group_popularity="34" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:28-05" popularity="14" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="7" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBGSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Goods and Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:28-05" popularity="0" group_popularity="20" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBII" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBIIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBIIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Investment Income (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBM" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBMA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBMN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Merchandise Trade (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSV" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSVA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPBSVN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on Services (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:27-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCAT" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-10-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCATA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPCATN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Capital Account Transactions, Net (DISCONTINUED)" observation_start="1989-10-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="0" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPG" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-06-18 08:41:26-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2013-01-01" frequency="Annual" frequency_short="A" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:25-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Unilateral Transfers, Net (DISCONTINUED)" observation_start="1960-01-01" observation_end="2014-01-01" frequency="Quarterly" frequency_short="Q" units="Billions of Dollars" units_short="Bil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2014-06-18 08:41:25-05" popularity="0" group_popularity="7" notes="This series has been discontinued as a result of the comprehensive restructuring of the international economic accounts (http://www.bea.gov/international/modern.htm). For a crosswalk of the old and new series in FRED see: http://research.stlouisfed.org/CompRevisionReleaseID49.xlsx."/>
<series id="BOPGSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:32:14-05" popularity="62" group_popularity="62"/>
<series id="BOPGTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:57-05" popularity="29" group_popularity="29"/>
<series id="IEABC" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:05-05" popularity="41" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:03-05" popularity="47" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCG" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:09-05" popularity="11" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:14-05" popularity="11" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:23-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the imports of goods from the exports of goods"/>
<series id="IEABCGS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:23-05" popularity="23" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCGSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:08-05" popularity="7" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCGSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on goods and services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:14-05" popularity="0" group_popularity="26" notes="Calculated by subtracting the imports of goods and services from the exports of goods and services"/>
<series id="IEABCN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on current account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:07-05" popularity="25" group_popularity="52" notes="Calculated by subtracting the imports of goods and services and income payments (debits) from the exports of goods and services and income receipts (credits)"/>
<series id="IEABCP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:03-05" popularity="41" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCPA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-03-21 07:41:21-05" popularity="29" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCPI" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:31:03-05" popularity="18" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:06-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on primary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:24-05" popularity="0" group_popularity="20" notes="Calculated by subtracting the primary income payments from the primary income receipts"/>
<series id="IEABCPN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on capital account" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:09-05" popularity="24" group_popularity="44" notes="Calculated by subtracting the capital transfer payments and other debits from the capital transfer receipts and other credits"/>
<series id="IEABCS" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:31:14-05" popularity="7" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
<series id="IEABCSA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:14-05" popularity="0" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
<series id="IEABCSI" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-06-20 08:41:15-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSIA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2016-01-01" frequency="Annual" frequency_short="A" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:15-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSIN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on secondary income" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:41:25-05" popularity="0" group_popularity="7" notes="Calculated by subtracting the secondary income (current transfer) payments from the secondary income (current transfer) receipts"/>
<series id="IEABCSN" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Balance on services" observation_start="1999-01-01" observation_end="2017-01-01" frequency="Quarterly" frequency_short="Q" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-06-20 08:31:15-05" popularity="0" group_popularity="11" notes="Calculated by subtracting the imports of services from the exports of services"/>
</seriess>Request contract
- Method and path: GET /apis/v1/fred/category/series
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/category/series
- category_id: query; required
- exclude_tag_names: query; optional
- file_type: query; optional
- filter_value: query; optional
- filter_variable: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
- tag_names: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_category_series",
"method": "GET",
"path": "/apis/v1/fred/category/series",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "category_id",
"in": "query",
"required": true,
"schema": {
"type": "integer"
},
"description": "The id for a category.\ninteger, required",
"x-aisa-reference-declarations": [
"integer, required"
]
},
{
"name": "exclude_tag_names",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "A semicolon delimited list of tag names that series match none of.\nString, optional, no filtering by tags by default.\nExample value: 'discontinued;annual'. Filter results to series having neither tag 'discontinued' nor tag 'annual'.\nParameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.",
"x-aisa-reference-declarations": [
"String, optional, no filtering by tags by default.",
"Example value: 'discontinued;annual'. Filter results to series having neither tag 'discontinued' nor tag 'annual'.",
"Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series."
]
},
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "filter_value",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "The value of the filter_variable attribute to filter results by.\nString, optional, no filter by default",
"x-aisa-reference-declarations": [
"String, optional, no filter by default"
]
},
{
"name": "filter_variable",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"frequency",
"units",
"seasonal_adjustment"
]
},
"description": "The attribute to filter results by.\nOn of the following strings: 'frequency', 'units', 'seasonal_adjustment'.\noptional, no filter by default",
"x-aisa-reference-declarations": [
"On of the following strings: 'frequency', 'units', 'seasonal_adjustment'.",
"optional, no filter by default"
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "order_by",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"series_id",
"title",
"units",
"frequency",
"seasonal_adjustment",
"realtime_start",
"realtime_end",
"last_updated",
"observation_start",
"observation_end",
"popularity",
"group_popularity"
],
"default": "series_id"
},
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity', 'group_popularity'.\noptional, default: series_id",
"x-aisa-reference-declarations": [
"One of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity', 'group_popularity'.",
"optional, default: series_id"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "sort_order",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"asc",
" desc "
],
"default": "asc"
},
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', ' desc '.\noptional, default: asc",
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', ' desc '.",
"optional, default: asc"
]
},
{
"name": "tag_names",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "A semicolon delimited list of tag names that series match all of.\nString, optional, no filtering by tags by default\nExample value: 'income;bea'. Filter results to series having both tags 'income' and 'bea'.\nSee the related request fred/tags .",
"x-aisa-reference-declarations": [
"String, optional, no filtering by tags by default",
"Example value: 'income;bea'. Filter results to series having both tags 'income' and 'bea'.",
"See the related request fred/tags ."
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The id for a category. integer, required
A semicolon delimited list of tag names that series match none of. String, optional, no filtering by tags by default. Example value: 'discontinued;annual'. Filter results to series having neither tag 'discontinued' nor tag 'annual'. Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The value of the filter_variable attribute to filter results by. String, optional, no filter by default
The attribute to filter results by. On of the following strings: 'frequency', 'units', 'seasonal_adjustment'. optional, no filter by default
frequency, units, seasonal_adjustment The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity', 'group_popularity'. optional, default: series_id
series_id, title, units, frequency, seasonal_adjustment, realtime_start, realtime_end, last_updated, observation_start, observation_end, popularity, group_popularity The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', ' desc '. optional, default: asc
asc, desc A semicolon delimited list of tag names that series match all of. String, optional, no filtering by tags by default Example value: 'income;bea'. Filter results to series having both tags 'income' and 'bea'. See the related request fred/tags .
Response
Official representation and examples only; no complete response schema is declared.